{
  "schema_version": "1.4.0",
  "id": "GHSA-mch7-w8fj-4pc4",
  "modified": "2022-05-17T02:39:19Z",
  "published": "2022-05-17T02:39:19Z",
  "aliases": [
    "CVE-2012-3480"
  ],
  "details": "Multiple integer overflows in the (1) strtod, (2) strtof, (3) strtold, (4) strtod_l, and other unspecified \"related functions\" in stdlib in GNU C Library (aka glibc or libc6) 2.16 allow local users to cause a denial of service (application crash) and possibly execute arbitrary code via a long string, which triggers a stack-based buffer overflow.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2012-3480"
    },
    {
      "type": "WEB",
      "url": "https://access.redhat.com/errata/RHSA-2012:1207"
    },
    {
      "type": "WEB",
      "url": "https://access.redhat.com/errata/RHSA-2012:1208"
    },
    {
      "type": "WEB",
      "url": "https://access.redhat.com/errata/RHSA-2012:1262"
    },
    {
      "type": "WEB",
      "url": "https://access.redhat.com/errata/RHSA-2012:1325"
    },
    {
      "type": "WEB",
      "url": "https://access.redhat.com/security/cve/CVE-2012-3480"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.redhat.com/show_bug.cgi?id=847715"
    },
    {
      "type": "WEB",
      "url": "https://security.gentoo.org/glsa/201503-04"
    },
    {
      "type": "WEB",
      "url": "http://lists.fedoraproject.org/pipermail/package-announce/2012-August/085190.html"
    },
    {
      "type": "WEB",
      "url": "http://osvdb.org/84710"
    },
    {
      "type": "WEB",
      "url": "http://rhn.redhat.com/errata/RHSA-2012-1207.html"
    },
    {
      "type": "WEB",
      "url": "http://rhn.redhat.com/errata/RHSA-2012-1208.html"
    },
    {
      "type": "WEB",
      "url": "http://rhn.redhat.com/errata/RHSA-2012-1262.html"
    },
    {
      "type": "WEB",
      "url": "http://rhn.redhat.com/errata/RHSA-2012-1325.html"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/50201"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/50422"
    },
    {
      "type": "WEB",
      "url": "http://sourceware.org/bugzilla/show_bug.cgi?id=14459"
    },
    {
      "type": "WEB",
      "url": "http://sourceware.org/ml/libc-alpha/2012-08/msg00202.html"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2012/08/13/4"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2012/08/13/6"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/54982"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id?1027374"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/USN-1589-1"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2012-08-25T10:29:00Z"
  }
}